[metadata]
name = project_name
version = 0.0.1
author = Firstname Lastname
author_email = author@louisiana.edu
description = Django Project Template
long_description = file: README.md
keywords = one, two
license = BSD-3-Clause
classifiers =
    Framework :: Django
    Programming Language :: Python :: 3

[tool:pytest]
DJANGO_SETTINGS_MODULE = django_project.other_settings.pytest_settings
omit = */__init__.py
python_files = */tests.py
django_debug_mode = true
addopts=-n auto -p no:warnings --nomigrations --reuse-db --cov --cov-append --cov-report=xml --cov-report=term-missing --junitxml=report.xml
FAIL_INVALID_TEMPLATE_VARS = True
filterwarnings =
    "ignore::DeprecationWarning"
    "ignore::FutureWarning"
    "ignore::SyntaxWarning"
    "ignore::CoverageWarning"

[coverage:run]
parallel = true
branch = true
concurrency =
    multiprocessing
    thread
source = .
omit =
    */migrations/*
    django_project/other_settings/*.py
    django_project/*.py
    manage.py
    */admin.py
    */apps.py
    */__init__.py

[coverage:report]
show_missing = true
skip_empty=true
omit =
    */migrations/*
    django_project/other_settings/*.py
    django_project/*.py
    manage.py
    */admin.py
    */apps.py
    */__init__.py
exclude_also =
    def __repr__
    if self.debug:
    if settings.DEBUG
    raise AssertionError
    raise NotImplementedError
    if __name__ == .__main__.:
    if TYPE_CHECKING:
